Page MenuHomePhabricator

Update packaging configuration for Jessie migration
Closed, ResolvedPublic

Description

New language pairs are added along with Jessie migration of Apertium service. Update config to reflect this before/along with migration.

Details

Related Gerrit Patches:
operations/puppet : productionApertium: Support jessie
mediawiki/services/cxserver : masterUpdate Apertium pairs for Jessie

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
KartikMistry triaged this task as Medium priority.Sep 2 2016, 11:44 AM

Change 308679 had a related patch set uploaded (by KartikMistry):
WIP: Apertium: Update new packages for Jessie migration

https://gerrit.wikimedia.org/r/308679

@akosiaris Can we go ahead without apertium-kaz/tat as of now on this? And, when can we schedule this earliest? Let me know.

@akosiaris Can we go ahead without apertium-kaz/tat as of now on this? And, when can we schedule this earliest? Let me know.

apertium-kaz is in our trusty installations (sca100{1,2}) as well. I am not sure if cxserver uses it (not sure where the config is these days) but assuming that it does, that will mean reduced functionality for users, correct ? Which is probably not what we want.

KartikMistry moved this task from QA to In Review on the Language-Q1-2016-17 Sprint 6 board.

This is cherry picked on deployment-apertium02.eqiad.wmflabs for testing.

Change 311650 had a related patch set uploaded (by KartikMistry):
Update Apertium pairs for Jessie

https://gerrit.wikimedia.org/r/311650

Jessie migration is scheduled on October 3.

Change 311650 merged by jenkins-bot:
Update Apertium pairs for Jessie

https://gerrit.wikimedia.org/r/311650

Change 308679 merged by Alexandros Kosiaris:
Apertium: Support jessie

https://gerrit.wikimedia.org/r/308679

Change updated and merged, I think we are ready to proceed with the migration. I 'll upload the required changes. @KartikMistry, do we have a task for the actual migration to tag my changes or should I create one?

Resolving this task anyway

@akosiaris This is the only task we've. Feel free to create new task for actual migration. I'll keep this open until cxserver config changes are deployed.

Mentioned in SAL (#wikimedia-operations) [2016-10-05T10:18:02Z] <kart_> Update cxserver to 0b2c3fa (T144588)

KartikMistry closed this task as Resolved.Oct 9 2016, 1:48 PM